<?php
/**
 * The template for displaying search results pages
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/#search-result
 *
 * @package Blogbuster
 */

get_header();

/**
 * hook - blogbuster_before_page_post_content
 *
 * @since 1.0.0
 */
do_action( 'blogbuster_before_page_post_content' );
?>
<div class="archive-page search-page page-content-wrapper">

	<?php get_sidebar( 'left' ); ?>
	<main id="primary" class="site-main">

		<?php
			/**
			 * hook - blogbuster_before_search_loop_content
			 *
			 * @since 1.0.0
			 */
			do_action( 'blogbuster_before_search_loop_content' );

			if ( have_posts() ) :
		?>

			<header class="page-header">
				<h1 class="page-title">
					<?php
					/* translators: %s: search query. */
					printf( esc_html__( 'Search Results for: %s', 'blogbuster' ), '<span>' . get_search_query() . '</span>' );
					?>
				</h1>
			</header><!-- .page-header -->

			<?php
				echo '<div class="archive-content-wrapper">';

				/* Start the Loop */
				while ( have_posts() ) :
					the_post();

					/**
					 * Run the loop for the search to output the results.
					 * If you want to overload this in a child theme then include a file
					 * called content-search.php and that will be used instead.
					 */
					get_template_part( 'template-parts/content', get_post_type() );

				endwhile;


				echo '</div><!-- archive-content-wrapper -->';
				
				the_posts_navigation();

			else :

				get_template_part( 'template-parts/content', 'none' );

			endif;

			/**
			 * hook - blogbuster_after_search_loop_content
			 *
			 * @since 1.0.0
			 */
			do_action( 'blogbuster_after_search_loop_content' );
		?>

	</main><!-- #main -->

	<?php get_sidebar(); ?>

</div><!-- .page-content-wrapper -->

<?php
	/**
	 * hook - blogbuster_after_page_post_content
	 *
	 * @since 1.0.0
	 */
	do_action( 'blogbuster_after_page_post_content' );

	get_footer();